update-notifier (3.201) questing; urgency=medium

  * Use update-manager.desktop name and icon for the reboot notification
    (LP: #2126662)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 02 Oct 2025 16:08:18 +0200

update-notifier (3.200) questing; urgency=medium

  * update: Restore appindicator and notification behaviour. In Wayland
    the --no-focus-on-map flag of update-manager has no effect.
    (FFe lp: #2122103)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 22 Sep 2025 08:50:36 +0200

update-notifier (3.199) questing; urgency=medium

  * Use integer seconds in date calculation for compatibility with
    rust-coreutils implementation of date (LP: #2122359)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 16 Sep 2025 09:55:02 +0100

update-notifier (3.198) questing; urgency=medium

  * Use standard symbolic icon for reboot appindicator

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 22 May 2025 23:06:31 +0200

update-notifier (3.197) plucky; urgency=medium

  * Update the translations for Plucky using a launchpad export

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 07 Apr 2025 13:56:31 +0200

update-notifier (3.196) plucky; urgency=medium

  * Adjust the notification UI for pending unattended-upgrade following 
    the feedback from design team.

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 11 Mar 2025 11:45:10 +0100

update-notifier (3.195) plucky; urgency=medium

  * Add tray icon and notification for pending unattended-upgrade
    SPEC: UD093

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 20 Feb 2025 10:51:37 +0100

update-notifier (3.194) plucky; urgency=medium

  * update-notifier: Do not call GdkX11 functions on Wayland
  * apt-check: Do not print apt warnings to stderr which update-notifier
    tries to parse to get the updates status

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 21 Nov 2024 21:06:45 +0100

update-notifier (3.193) oracular; urgency=medium

  * Remove obsolete broken CFLAGS/LDFLAGS overrides
  * Replace policykit-1 with pkexec, polkitd
  * Run wrap-and-sort and do some fixup of .install commented groups
  * Bump to debhelper-compat (= 13)
  * Drop upstart units
  * Actually install update-notifier-crash helper

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 04 Jul 2024 14:32:55 +0200

update-notifier (3.192.68build3) noble; urgency=high

  * No change rebuild against libglib2.0-0t64, libgtk-3-0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:51:37 +0200

update-notifier (3.192.68build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:15:40 +0000

update-notifier (3.192.68build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:47:11 +0000

update-notifier (3.192.68) noble; urgency=medium

  [ Renan Rodrigo Barbosa ]
  * update-motd: use a marker file to hide ESM messages (LP: #2015420)

  [ Nick Rosbrook ]
  * update translations

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 08 Mar 2024 15:07:21 -0500

update-notifier (3.192.67) noble; urgency=medium

  * apt-check: add option to hide ESM messages from the human readable output.
    (LP: #2015420)

 -- Renan Rodrigo Barbosa <renanrodrigo@canonical.com>  Wed, 31 Jan 2024 11:40:02 -0300

update-notifier (3.192.66) mantic; urgency=medium

  * po: update translations and restore translations for reboot notifications

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Tue, 01 Aug 2023 09:53:23 -0400

update-notifier (3.192.65) mantic; urgency=medium

  [ Nick Rosbrook ]
  * reboot: restore reboot required notification (LP: #1998947)
  * debian/update-notifier.install: ship reboot-dialog.ui
  * reboot: wait 3 hours since last /var/lib/dpkg/info update

  [ Michael Vogt ]
  * reboot: also check for a running unattended-upgrades

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Wed, 05 Jul 2023 11:04:50 -0400

update-notifier (3.192.64) lunar; urgency=medium

  [ Danilo Egea Gondolfo ]
  * fix autopkgtest is failing with the new pycodestyle

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 21 Mar 2023 13:33:20 +0100

update-notifier (3.192.63) lunar; urgency=medium

  * Isolate creation of the esm apt cache in apt-check (LP: #2008212)

 -- Renan Rodrigo Barbosa <renanrodrigo@canonical.com>  Mon, 27 Feb 2023 23:15:02 -0300

update-notifier (3.192.62) lunar; urgency=medium

  [ Lucas Moura ]
  * po/*.po: do not translate template variable needed for
    package-data-downloader script (LP: #2003543)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 24 Jan 2023 21:10:45 +0100

update-notifier (3.192.61) lunar; urgency=medium

  [ Renan Rodrigo Barbosa]
  * Rely on the Pro Client apt esm cache to check for esm updates
    (LP: #2002168)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 19 Jan 2023 14:03:22 +0100

update-notifier (3.192.60) lunar; urgency=medium

  * Refresh the translations using a new launchpad export (lp: #1999567)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 15 Dec 2022 10:17:15 +0100

update-notifier (3.192.59) kinetic; urgency=medium

  * Update translations for the new strings (ua->pro).

 -- Steve Langasek <vorlon@debian.org>  Fri, 30 Sep 2022 19:32:40 +0000

update-notifier (3.192.58) kinetic; urgency=medium

  [ Lucas Albuquerque Medeiros de Moura ]
  * Change ua status to pro status (LP: #1991030)

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 29 Sep 2022 17:10:58 -0300

update-notifier (3.192.57) kinetic; urgency=medium

  [ Lucas Albuquerque Medeiros de Moura ]
  * Update the ESM service name and description for the apt_check.py script
    (LP: #1980368).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 22 Sep 2022 10:47:03 +0200

update-notifier (3.192.56) kinetic; urgency=medium

  * data/update-motd-fsck-at-reboot: fix exit status 1 if update-motd is run
    on a system with no ext[234] partitions (LP: #1987703)

 -- Dan Bungert <daniel.bungert@canonical.com>  Thu, 25 Aug 2022 15:02:28 -0600

update-notifier (3.192.55) kinetic; urgency=medium

  * data/update-motd-fsck-at-reboot: exclude NBD devices from reporting
    (LP: #1982486)

 -- Daniel Watkins <oddbloke@ubuntu.com>  Wed, 27 Jul 2022 10:29:27 -0400

update-notifier (3.192.54) jammy; urgency=medium

  * d/95-hwe-eol: do not update eol data more than once per day (LP: #1893716)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 30 Mar 2022 12:20:47 +0200

update-notifier (3.192.53) jammy; urgency=medium

  * data/list-oem-metapackages: Complete the transition to apt_pkg which was
    not fully done in the previous upload. (LP: #1966811)

 -- Brian Murray <brian@ubuntu.com>  Tue, 29 Mar 2022 07:09:05 -0700

update-notifier (3.192.52) jammy; urgency=medium

  [ Robert Ancell ]
  * Disable Ubuntu Pro notification (LP: #1965996)

  [ Alberto Milone ]
  * data/list-oem-metapackages:
    - Fully transition to apt_pkg. This makes the code compatible
      with the new apt_pkg based UbuntuDrivers (LP: #1964923).
      Credit goes to Bin Li for spotting the problem and
      suggesting a fix.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 24 Mar 2022 17:28:02 +0100

update-notifier (3.192.51) jammy; urgency=medium

  * src/ubuntu-advantage.c:
    - set a default action to the ubuntu pro notification since just
      dismissing on click can be confusing (lp: #1960453)
  * data/com.ubuntu.update-notifier.gschema.xml.in:
    - default to not display Ubuntu Pro notifications and let flavors
      opt in if they want it indeed, we will enable it for the Ubuntu
      session by an override in ubuntu-settings (lp: #1962009)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 23 Feb 2022 09:43:23 +0100

update-notifier (3.192.50) jammy; urgency=medium

  [ Olivier Gayot ]
  * Expect whoopsie to be activated using path-based activation.
  * Add whoopsie as a Recommends

 -- Brian Murray <brian@ubuntu.com>  Tue, 22 Feb 2022 15:11:20 -0800

update-notifier (3.192.49) jammy; urgency=medium

  * Fix Ubuntu Pro decline not persisting (LP: #1959869)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 04 Feb 2022 09:56:20 +1300

update-notifier (3.192.48) jammy; urgency=medium

  * Add Ubuntu Pro notifications (LP: #1958320)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 01 Feb 2022 14:47:17 +1300

update-notifier (3.192.47) jammy; urgency=medium

  * data/notify-reboot-required: check to see if canonical-livepatch is
    installed and enabled. In the event that it is and it says a reboot is
    required do not update reboot-required files so that only one reboot
    message appears in the message of the day.

 -- Brian Murray <brian@ubuntu.com>  Thu, 13 Jan 2022 10:57:35 -0800

update-notifier (3.192.46) jammy; urgency=medium

  [ Dan Bungert ]
  * Adjust update-notifier-crash.service so that the report process is not
    killed before it has a chance to act (LP: #1821412)

 -- Brian Murray <brian@ubuntu.com>  Thu, 21 Oct 2021 14:49:48 -0700

update-notifier (3.192.45) impish; urgency=medium

  * Use the ayatana variant of the indicators since they are better
    maintained and Debian transitioned, we are doing the same
    for Ubuntu now

  [ Brian Murray ]
  * data/backend_helper.py: only call update-manager if it is installed on the
    system. (LP: #1927994)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 25 Jun 2021 11:06:31 +0200

update-notifier (3.192.44) impish; urgency=medium

  [ Lucas Moura ]
  * data/apt_check.py
    - Show esm-apps status header when running on LTS distro that
      has not yet entered Extended Security Maintenance

 -- Brian Murray <brian@ubuntu.com>  Thu, 13 May 2021 14:47:01 -0700

update-notifier (3.192.43) impish; urgency=medium

  [ Lucas Moura ]
  * data/apt_check.py
    - Only show esm-apps alerts on lts and non-esm distros (LP: #1926990)
    - Update esm-infra alert for distros on ESM mode
    - Show message with number of upgradable packages even if that
      number is zero (LP: #1926819)
    - Get distro name and version directly from /etc/os-release

  [ Brian Murray ]
  * debian/control: add lsb-release to the update-notifier-common depends as
    it is used by apt-cdrom-check. (LP: #1927996)

 -- Brian Murray <brian@ubuntu.com>  Mon, 10 May 2021 11:40:43 -0700

update-notifier (3.192.42) impish; urgency=medium

  [ Dan Bungert ]
  * Address segfault regression in the 3.192.40 update (LP: #1926298) related
    to hook command path lookup

 -- Brian Murray <brian@ubuntu.com>  Thu, 29 Apr 2021 15:07:27 -0700

update-notifier (3.192.41) impish; urgency=medium

  [ Lucas Moura ]
  * data/apt_check.py:
    - Add support to handle packages from ESM Apps in addition to ESM Infra
      and only display alerts if the distro is ESM. (LP: #1924766)
    - Do not display a count of ESM packages if the system does not have ESM
      enabled. (LP: #1883315)
    - Make distinction between standard security updates and ESM updates
      when performing package counts. (LP: #1926208)
    - use 'applied' instead of 'installed', redact 0 of these updates are
      security updates, and correct singular messages
  * debian/control: Add a dependency on python3-distro-info.

 -- Chad Smith <chad.smith@canonical.com>  Thu, 22 Apr 2021 17:47:19 -0600

update-notifier (3.192.40) hirsute; urgency=medium

  * Skip notify for an update if the command we need to run doesn't exist
    (LP: #1706168)

 -- Dan Bungert <daniel.bungert@canonical.com>  Tue, 02 Feb 2021 09:30:11 -0700

update-notifier (3.192.39) hirsute; urgency=medium

  * data/list-oem-metapackages:
    + Run black
    + Drop unused logging import
    + Handle bad apt indexes. apt.Cache() can fail if the apt lists can't be
      parsed for whatever reason. Handle that and exit 0 so that
      update-notifier continues.  A consequence of being in this state is that
      we can't find any oem metapackages if any are applicable. If the indexes
      become good again then we'll find them next time. (LP: #1913726)

 -- Iain Lane <iain.lane@canonical.com>  Fri, 29 Jan 2021 12:41:07 +0000

update-notifier (3.192.38) hirsute; urgency=medium

  * control: Move ubuntu-drivers-common dep to update-notifier. It's only
    needed when launching update-manager, which happens from
    /usr/bin/update-notifier which is in the update-notifier package. Having
    it in update-notifier-common causes ubuntu-drivers-common and all its deps
    to be pulled in on all flavours, even ones without update-manager. (LP:
    #1912496)

 -- Iain Lane <iain.lane@canonical.com>  Wed, 20 Jan 2021 16:42:37 +0000

update-notifier (3.192.37) hirsute; urgency=medium

  * List OEM metapackages before invoking update-manager. Before invoking
    update-manager, run a helper script to figure out if there are any
    oem-*-meta packages which apply to this system. These are enablement
    packages maintained by Canonical which install any tweaks required by a
    particular piece of hardware. The script takes care to exit quickly if
    it's been run before or if the system is already enabled. It uses
    ubuntu-drivers' python interface, so we need to add a dependency to make
    sure that is available.There will be a companion change in
    update-manager to consume this list. (LP: #1908050)

 -- Iain Lane <iain.lane@canonical.com>  Mon, 14 Dec 2020 10:41:11 +0000

update-notifier (3.192.36) hirsute; urgency=medium

  * data/apt_check.py: Update UA Infra: ESM product name and doc url
    (LP: #1901627)
  * po/*.po: translation files with intltool-update -r

 -- Chad Smith <chad.smith@canonical.com>  Thu, 12 Nov 2020 10:52:36 -0700

update-notifier (3.192.35) hirsute; urgency=medium

  * src/system-crash.c:
    - Wrap pkexec call in /bin/sh to workaround requirement
      that PPID not be 1. (LP: #1821412)
    - Don't use G_SPAWN_DO_NOT_REAP_CHILD in order to avoid
      zombie processes.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Wed, 21 Oct 2020 19:55:37 +0000

update-notifier (3.192.34) groovy; urgency=medium

  * Replace cronjobs with systemd timers. (LP: #1836475)
  * d/control:
    - Removed (now) redundant anacron dep
    - Bumped Standards-Version
    - Removed redundant autotools-dev dep and X-Python3-Version spec
  * d/update-notifier-common.maintscript:
    - Added rm_conffile for former cronjobs
    - Migrated rm_conffile cpu-checker bits from postinst/postrm/preinst
  * d/update-notifier-common.triggers:
    - Switched to interest-noawait as trigger is "non-crucial" (shouldn't
      block configuration of triggering packages)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 08 Oct 2020 13:32:55 +0100

update-notifier (3.192.33) groovy; urgency=medium

  * Remove avahi .local notification support. (LP: #1874192)

 -- Brian Murray <brian@ubuntu.com>  Thu, 24 Sep 2020 11:30:20 -0700

update-notifier (3.192.32) groovy; urgency=medium

  [ Chad Smith ]
  * data/apt_check.py: Update ESM security pockets names (LP: #1881632)
    - the UbuntuESM pocket was renamed from <distro>-security to
      <distro>-infra-security
    - new origin UbuntuESMApps, with a corresponding pocket of
      <distro>-apps-security

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 12 Jun 2020 11:21:25 -0300

update-notifier (3.192.31) groovy; urgency=medium

  * Update debian/tests/control to depend on pyflakes3 not pyflakes.

 -- Brian Murray <brian@ubuntu.com>  Fri, 29 May 2020 19:28:59 -0700

update-notifier (3.192.30) focal; urgency=medium

  * pixmaps/scalable/livepatch-ok,warning, src/livepatch-tray.c:
    - rename the livepatch-ok/warning to livepatch_on/warning, the '-'
      is used for icons fallback. The yaru theme added a 'livepatch' icon
      used by the .desktop but GTK (and the spec) favorite fallbacking
      in the current theme to using an icon from a subtheme. It makes the
      indicator use 'livepatch' from yaru rather than 'livepatch-on'
      installed by update-notifier in hicolor, which is wrong. Using '_'
      there is no fallback and the correct icons are display

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 02 Apr 2020 13:25:16 +0200

update-notifier (3.192.29) focal; urgency=medium

  * Search and replace pep8 w/ pycodestyle after rename.
  * tests/test_motd.py: Fix cut & paste error in comment.

 -- dann frazier <dannf@ubuntu.com>  Mon, 03 Feb 2020 19:27:11 -0700

update-notifier (3.192.28) focal; urgency=medium

  * Replace pep8 with pycodestyle

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 28 Jan 2020 10:55:06 +0100

update-notifier (3.192.27) focal; urgency=medium

  * Notify user about stale updates information in motd (LP: #1842159)
  * Make /var/lib/update-notifier/updates-available world-readable
    (LP: #1844704)
  * data/update-motd-hwe-eol: Run as a regular user without printing errors
    (LP: #185527)
  * data/update-motd-hwe-eol: Shortcut script when running in a container.
    There is no point in checking the HWE stack in a container since upgrading
    it would not affect the host system. (LP: #1855290)
  * data/update-motd-fsck-at-reboot: Shortcut script when running it as
    a regular user (LP: #185527)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 05 Dec 2019 15:02:52 +0100

update-notifier (3.192.26) eoan; urgency=medium

  * data/apt_check.py: modify wording and output regarding ESM support.
    (LP: #1842508)

 -- Brian Murray <brian@ubuntu.com>  Tue, 03 Sep 2019 16:47:51 -0700

update-notifier (3.192.25) eoan; urgency=medium

  * Make livepatch_get_num_fixes (private API) return 'ssize_t' instead of
    'gssize', which will allow us to use the '%zd' format string to print its
    value. That in turn allows the string to be extracted into the .pot file
    for translation.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 01 Aug 2019 13:42:29 +0100

update-notifier (3.192.24) eoan; urgency=medium

  * Fix E117 over-indented pep issues.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jul 2019 16:53:58 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog update-notifier`.
